'= Rohde&Schwarz SMR Microwave Generator Include File ======================

'===========================================================================
'  Please do not use global variables or arrays in the include file of      
'  instrument drivers that will be submitted for inclusion into the         
'  LabWindows Instrument Driver Library.                                    
'===========================================================================
'     

'***************************************************************************
'= Instrument Driver Specific Error/Warning Codes ==========================
'***************************************************************************
Global Const VI_ERROR_INSTR_FILE_OPEN = (&H80000000&+&H3FFC0800&)
Global Const VI_ERROR_INSTR_FILE_WRITE = (&H80000000&+&H3FFC0801&)
Global Const VI_ERROR_INSTR_INTERPRETING_RESPONSE = (&H80000000&+&H3FFC0803&)
Global Const VI_ERROR_INSTR_PARAMETER9 = (&H80000000&+&H3FFC0809&)
Global Const VI_ERROR_INSTR_PARAMETER10 = (&H80000000&+&H3FFC080A&)
Global Const VI_ERROR_INSTR_PARAMETER11 = (&H80000000&+&H3FFC080B&)
Global Const VI_ERROR_INSTR_PARAMETER12 = (&H80000000&+&H3FFC080C&)
Global Const VI_ERROR_INSTR_PARAMETER13 = (&H80000000&+&H3FFC080D&)
Global Const VI_ERROR_INSTR_PARAMETER14 = (&H80000000&+&H3FFC080E&)
Global Const VI_ERROR_INSTR_PARAMETER15 = (&H80000000&+&H3FFC080F&)

'***************************************************************************
'= Define Instrument Specific Error/Warning Codes Here =====================
'***************************************************************************
Global Const VI_WARNING_INSTR_OFFSET = (&H3FFC0900&)
Global Const VI_ERROR_INSTR_OFFSET = (&H80000000&+&H3FFC0900&)

Global Const RSSMR_ERROR_INSTRUMENT_ERROR = (VI_ERROR_INSTR_OFFSET + &HF0&)
Global Const RSSMR_ERROR_INVALID_CONFIGURATION = (VI_ERROR_INSTR_OFFSET + &HF1&)
Global Const RSSMR_ERROR_INSTRUMENT_OPTION = (VI_ERROR_INSTR_OFFSET + &HF2&)

'***************************************************************************
'= GLOBAL USER-CALLABLE FUNCTION DECLARATIONS (Exportable Functions) =======
'***************************************************************************

Declare Function rssmr_init Lib "rssmr_32.dll" ( ByVal resourceName As String, ByVal IDQuery As Integer, ByVal resetDevice As Integer, instrSession As Long) As Long
Declare Function rssmr_exOutAmpl Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal frequency As Double, ByVal offset As Double, ByVal level As Double, ByVal modulationSource As Long, ByVal modulationDepth As Double, ByVal modulationFrequency As Double) As Long
Declare Function rssmr_configRFFreq Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal frequency As Double, ByVal offset As Double, ByVal multiplier As Double) As Long
Declare Function rssmr_setCWFreq Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal frequency As Double) As Long
Declare Function rssmr_setRFFreqOffset Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal offset As Double) As Long
Declare Function rssmr_setRFFreqMultiplier Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal multiplier As Double) As Long
Declare Function rssmr_setCWFreqReset Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal resetState As Long) As Long
Declare Function rssmr_setRFFreqMode Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal operatingMode As Long) As Long
Declare Function rssmr_configRFFreqSweep Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal sweepMode As Long, ByVal startFrequency As Double, ByVal stopFrequency As Double, ByVal increment As Double, ByVal dwellTime As Double) As Long
Declare Function rssmr_setRFFreqSweepMode Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal sweepMode As Long) As Long
Declare Function rssmr_setRFStartFreq Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal frequency As Double) As Long
Declare Function rssmr_setRFStopFreq Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal frequency As Double) As Long
Declare Function rssmr_setRFFreqIncrement Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal increment As Double) As Long
Declare Function rssmr_setRFFreqSweepDwellTime Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal time As Double) As Long
Declare Function rssmr_setSweepBlankTime Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal time As Long) As Long
Declare Function rssmr_setRFFreqSweepSpacing Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal spacing As Long) As Long
Declare Function rssmr_setRFFreqSweepStep Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal mode As Long, ByVal x_step As Double) As Long
Declare Function rssmr_setRFSweepFreqManual Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal frequency As Double) As Long
Declare Function rssmr_setRFCenterFreq Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal frequency As Double) As Long
Declare Function rssmr_setRFSpanFreq Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal frequency As Double) As Long
Declare Function rssmr_configRFLevel Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal level As Double, ByVal offset As Double, ByVal limit As Double) As Long
Declare Function rssmr_setRFLevel Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal level As Double) As Long
Declare Function rssmr_setRFLevelOffset Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal offset As Double) As Long
Declare Function rssmr_setRFLevelLimit Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal limit As Double) As Long
Declare Function rssmr_setRFLevelReset Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal resetState As Long) As Long
Declare Function rssmr_setFixedPowerMode Lib "rssmr_32.dll" ( ByVal instrSession As Long) As Long
Declare Function rssmr_configRFLevelSweep Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal sweepMode As Long, ByVal startLevel As Double, ByVal stopLevel As Double, ByVal x_step As Double, ByVal dwellTime As Double) As Long
Declare Function rssmr_setRFLevelSweepMode Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal sweepMode As Long) As Long
Declare Function rssmr_setRFStartLevel Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal level As Double) As Long
Declare Function rssmr_setRFStopFreqLevel Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal level As Double) As Long
Declare Function rssmr_setRFLevelIncrement Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal increment As Double) As Long
Declare Function rssmr_setRFLevelSweepStep Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal x_step As Double) As Long
Declare Function rssmr_setRFLevelSweepDwellTime Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal time As Double) As Long
Declare Function rssmr_setRFLevelSweepManual Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal level As Double) As Long
Declare Function rssmr_setRFLevelSweepSpacing Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal spacing As Long) As Long
Declare Function rssmr_setSweepPowerMode Lib "rssmr_32.dll" ( ByVal instrSession As Long) As Long
Declare Function rssmr_setRfLevelUnit Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal levelUnit As Long) As Long
Declare Function rssmr_ConfigureRFLevelCorr Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal correctionState As Integer, ByVal correctionListName As String, frequencyPoints As Double, powerPoints As Double, ByVal numberOfElements As Long) As Long
Declare Function rssmr_setRFLevelCorrState Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal correctionState As Integer) As Long
Declare Function rssmr_selCorrList Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal correctionListName As String) As Long
Declare Function rssmr_deleteCorrList Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal correctionListName As String) As Long
Declare Function rssmr_deleteAllCorrLists Lib "rssmr_32.dll" ( ByVal instrSession As Long) As Long
Declare Function rssmr_getListOfCorrLists Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal listOfCorrectionLists As String) As Long
Declare Function rssmr_setFreqToCorrList Lib "rssmr_32.dll" ( ByVal instrSession As Long, frequency As Double, ByVal x_size As Long) As Long
Declare Function rssmr_setPowerToCorrList Lib "rssmr_32.dll" ( ByVal instrSession As Long, power As Double, ByVal x_size As Long) As Long
Declare Function rssmr_getLevelCorrPoints Lib "rssmr_32.dll" ( ByVal instrSession As Long, points As Long) As Long
Declare Function rssmr_getFreqCorrPoints Lib "rssmr_32.dll" ( ByVal instrSession As Long, points As Long) As Long
Declare Function rssmr_getFreeCorrTables Lib "rssmr_32.dll" ( ByVal instrSession As Long, freeSpace As Long) As Long
Declare Function rssmr_configRFOutput Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal outputState As Integer, ByVal attenuationMode As Long, ByVal attenuation As Double) As Long
Declare Function rssmr_setRFOutputState Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal outputState As Integer) As Long
Declare Function rssmr_setRFAttMode Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal attenuationMode As Long) As Long
Declare Function rssmr_setRFAttenuation Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal attenuation As Double) As Long
Declare Function rssmr_getRFOutputImpedance Lib "rssmr_32.dll" ( ByVal instrSession As Long, impedance As Double) As Long
Declare Function rssmr_setRFOutPowOnState Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal outputState As Long) As Long
Declare Function rssmr_configAMModulation Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal modulationSource As Long, ByVal modulationDepth As Double, ByVal frequency As Double) As Long
Declare Function rssmr_configFMModulation Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal modulationSource As Long, ByVal deviation As Double, ByVal frequency As Double) As Long
Declare Function rssmr_configPulseModulation Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal signalSource As Long, ByVal polarity As Long) As Long
Declare Function rssmr_configDigitalModulation Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal modulationType As Long, ByVal FSKDeviation As Double, ByVal FSKPolarity As Long, ByVal ASKDepth As Double, ByVal ASKPolarity As Long) As Long
Declare Function rssmr_setAMState Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal AMModState As Integer) As Long
Declare Function rssmr_setAMDepth Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal depth As Double) As Long
Declare Function rssmr_setAMFreq Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal frequency As Double) As Long
Declare Function rssmr_setAMSource Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal modulationSource As Long) As Long
Declare Function rssmr_setAMExtCoupling Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal extInput As Long, ByVal coupling As Long) As Long
Declare Function rssmr_setAMExtImp Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal extInput As Long, ByVal impedance As Long) As Long
Declare Function rssmr_setAMScanState Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal modState As Integer) As Long
Declare Function rssmr_setAMScanSens Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal sensitivity As Double) As Long
Declare Function rssmr_setFMState Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal modState As Integer) As Long
Declare Function rssmr_setFMDeviation Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal deviation As Double) As Long
Declare Function rssmr_setFMFreq Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal frequency As Double) As Long
Declare Function rssmr_setFMSource Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal modulationSource As Long) As Long
Declare Function rssmr_setFMExtCoup Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal extInput As Long, ByVal coupling As Long) As Long
Declare Function rssmr_setFMExtImp Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal extInput As Long, ByVal impedance As Long) As Long
Declare Function rssmr_setPMState Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal modState As Integer) As Long
Declare Function rssmr_setPMPolar Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal polarity As Long) As Long
Declare Function rssmr_setPMSource Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal modulationSource As Long) As Long
Declare Function rssmr_setPMExtImp Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal impedance As Double) As Long
Declare Function rssmr_setDMState Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal modState As Integer) As Long
Declare Function rssmr_setDMType Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal modulationType As Long) As Long
Declare Function rssmr_setFSKDeviation Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal deviation As Double) As Long
Declare Function rssmr_setFSKPolar Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal polarity As Long) As Long
Declare Function rssmr_setASKDepth Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal depth As Double) As Long
Declare Function rssmr_setASKPolar Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal polarity As Long) As Long
Declare Function rssmr_setDMExtImp Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal impedance As Long) As Long
Declare Function rssmr_configureALC Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal levelControl As Integer, ByVal source As Long, ByVal reference As Double) As Long
Declare Function rssmr_setALCState Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal ALCState As Integer) As Long
Declare Function rssmr_setALCSource Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal source As Long) As Long
Declare Function rssmr_setALCSlope Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal slope As Long) As Long
Declare Function rssmr_setALCReference Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal reference As Double) As Long
Declare Function rssmr_ALCSearch Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal searchResult As String) As Long
Declare Function rssmr_configLFOutput Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal LFOutputState As Integer, ByVal signalShape As Long, ByVal frequency As Double, ByVal voltage As Double) As Long
Declare Function rssmr_setLFOutputState Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal LFOutputState As Integer) As Long
Declare Function rssmr_setLFCWFreq Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal frequency As Double) As Long
Declare Function rssmr_setLFVoltage Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal voltage As Double) As Long
Declare Function rssmr_setLFFreqMode Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal operatingMode As Long) As Long
Declare Function rssmr_setLFFunction Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal signalShape As Long) As Long
Declare Function rssmr_configLFSweep Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal sweepMode As Long, ByVal startFrequency As Double, ByVal stopFrequency As Double, ByVal x_step As Double, ByVal dwellTime As Double) As Long
Declare Function rssmr_setLFSweepMode Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal sweepMode As Long) As Long
Declare Function rssmr_setLFStartFreq Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal frequency As Double) As Long
Declare Function rssmr_setLFStopFreq Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal frequency As Double) As Long
Declare Function rssmr_setLFFreqMan Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal frequency As Double) As Long
Declare Function rssmr_setLFSweepSpac Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal spacing As Long) As Long
Declare Function rssmr_setLFSweepStep Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal mode As Long, ByVal x_step As Double) As Long
Declare Function rssmr_setLFSweepBlankTime Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal blankTime As Long) As Long
Declare Function rssmr_setLFSweepDwellTime Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal time As Double) As Long
Declare Function rssmr_setLFSweepTime Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal time As Double) As Long
Declare Function rssmr_configureLFMarker Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal marker As Long, ByVal x_state As Integer, ByVal frequency As Double, ByVal polarity As Long) As Long
Declare Function rssmr_setLFMarkState Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal marker As Long, ByVal x_state As Integer) As Long
Declare Function rssmr_setLFMarkFreq Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal marker As Long, ByVal frequency As Double) As Long
Declare Function rssmr_setLFMarkPolar Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal marker As Long, ByVal polarity As Long) As Long
Declare Function rssmr_configPulseOutput Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal polarity As Long, ByVal pulsePeriod As Double, ByVal pulseWidth As Double, ByVal pulseDelay As Double) As Long
Declare Function rssmr_configVideoOutput Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal vGHzScale As Long) As Long
Declare Function rssmr_setPulseSource Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal source As Long) As Long
Declare Function rssmr_setPulsePolarity Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal polarity As Long) As Long
Declare Function rssmr_setBlankSignalPolarity Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal polarity As Long) As Long
Declare Function rssmr_setPulsePeriod Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal period As Double) As Long
Declare Function rssmr_setRfBlankingBehaviorSync Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal x_state As Integer) As Long
Declare Function rssmr_setRfBlankingBehavior Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal RFBlankingBehavior As Long) As Long
Declare Function rssmr_setVGHzOutputScale Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal signalScale As Long) As Long
Declare Function rssmr_setPulseWidth Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal width As Double) As Long
Declare Function rssmr_setPulseDelay Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal delay As Double) As Long
Declare Function rssmr_setDoublePulseState Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal x_state As Integer) As Long
Declare Function rssmr_setDoublePulseDelay Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal delay As Double) As Long
Declare Function rssmr_setIFInputState Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal IFInputState As Integer) As Long
Declare Function rssmr_configureRefOscilator Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal refOscState As Integer, ByVal refSource As Long, ByVal adjustValue As Long) As Long
Declare Function rssmr_setRFOscState Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal refOscState As Integer) As Long
Declare Function rssmr_setRefOscSource Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal refSource As Long) As Long
Declare Function rssmr_setRefOscAdjVal Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal value As Long) As Long
Declare Function rssmr_configureList Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal listMode As Long, ByVal list_name As String, ByVal time As Double, frequencyPoints As Double, powerPoints As Double, ByVal numberOfElements As Long) As Long
Declare Function rssmr_setListMode Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal listMode As Long) As Long
Declare Function rssmr_selList Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal list_name As String) As Long
Declare Function rssmr_deleteList Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal list_name As String) As Long
Declare Function rssmr_deleteAllLists Lib "rssmr_32.dll" ( ByVal instrSession As Long) As Long
Declare Function rssmr_getListOfLists Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal listOfLists As String) As Long
Declare Function rssmr_setListDwellTime Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal time As Double) As Long
Declare Function rssmr_getListDwellPoints Lib "rssmr_32.dll" ( ByVal instrSession As Long, points As Long) As Long
Declare Function rssmr_getSpaceProperties Lib "rssmr_32.dll" ( ByVal instrSession As Long, freeSpace As Long, occupiedSpace As Long) As Long
Declare Function rssmr_setFreqToList Lib "rssmr_32.dll" ( ByVal instrSession As Long, frequency As Double, ByVal x_size As Long) As Long
Declare Function rssmr_getFreqPoints Lib "rssmr_32.dll" ( ByVal instrSession As Long, points As Long) As Long
Declare Function rssmr_setPowerToList Lib "rssmr_32.dll" ( ByVal instrSession As Long, power As Double, ByVal x_size As Long) As Long
Declare Function rssmr_getPowerPoints Lib "rssmr_32.dll" ( ByVal instrSession As Long, points As Long) As Long
Declare Function rssmr_setListPowerMode Lib "rssmr_32.dll" ( ByVal instrSession As Long) As Long
Declare Function rssmr_setListBlankingBehavior Lib "rssmr_32.dll" ( ByVal instrumentHandle As Long, ByVal x_state As Integer) As Long
Declare Function rssmr_setMarkerFreqSweepState Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal markerNo As Long, ByVal markerState As Integer) As Long
Declare Function rssmr_setMarkerFreqSweepAmp Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal markerNo As Long, ByVal amplitude As Integer) As Long
Declare Function rssmr_setMarkerFreqSweepFreq Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal markerNo As Long, ByVal frequency As Double) As Long
Declare Function rssmr_setMarkerLevelSweepState Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal markerNo As Long, ByVal x_state As Integer) As Long
Declare Function rssmr_setMarkerLevelSweepPower Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal markerNo As Long, ByVal power As Double) As Long
Declare Function rssmr_setSweepTrigSource Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal generator As Long, ByVal triggerSource As Long) As Long
Declare Function rssmr_setListTrigSource Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal triggerSource As Long) As Long
Declare Function rssmr_setPulseTrigSource Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal triggerSource As Long) As Long
Declare Function rssmr_setPulseTrigSlope Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal triggerSlope As Long) As Long
Declare Function rssmr_setPulseTrigLevel Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal triggerLevel As Long) As Long
Declare Function rssmr_setPulseTrigPolarity Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal triggerPolarity As Long) As Long
Declare Function rssmr_setSlopeTrig Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal triggerSlope As Long) As Long
Declare Function rssmr_setLevCalState Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal levelCalibration As Integer) As Long
Declare Function rssmr_getRefOscCalVal Lib "rssmr_32.dll" ( ByVal instrSession As Long, value As Long) As Long
Declare Function rssmr_storeRefOscCalVal Lib "rssmr_32.dll" ( ByVal instrSession As Long) As Long
Declare Function rssmr_SendTrigger Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal generator As Long, ByVal systemToTrigger As Long) As Long
Declare Function rssmr_abortTrigger Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal systemToAbort As Long) As Long
Declare Function rssmr_LFMarkOff Lib "rssmr_32.dll" ( ByVal instrSession As Long) As Long
Declare Function rssmr_markersFreqSweepOff Lib "rssmr_32.dll" ( ByVal instrSession As Long) As Long
Declare Function rssmr_markersLevelSweepOff Lib "rssmr_32.dll" ( ByVal instrSession As Long) As Long
Declare Function rssmr_calibration Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal toCalibrate As Long, ByVal x_timeout As Long, ByVal calibrationResults As String) As Long
Declare Function rssmr_utilSystemKeylock Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal lockout As Integer) As Long
Declare Function rssmr_utilSetDisplayUpdate Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal displayUpdate As Integer) As Long
Declare Function rssmr_utilRecallSetup Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal registerNo As Long) As Long
Declare Function rssmr_utilSaveSetup Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal registerNo As Long) As Long
Declare Function rssmr_utilGetFreeSett Lib "rssmr_32.dll" ( ByVal instrSession As Long, value As Long) As Long
Declare Function rssmr_utilSetReg Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal registerName As Long, ByVal value As Long) As Long
Declare Function rssmr_utilGetReg Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal registerName As Long, value As Long) As Long
Declare Function rssmr_utilSetSystemMode Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal mode As Long) As Long
Declare Function rssmr_utilSetDisplayMode Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal parameter As Long, ByVal x_state As Integer) As Long
Declare Function rssmr_utilSetGPIBAddr Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal address As Long) As Long
Declare Function rssmr_utilConfigureRS232 Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal baudRate As Long, ByVal dataBits As Long, ByVal stopBits As Long, ByVal hardwareHandshake As Long, ByVal softwareHandshake As Long, ByVal x_parity As Long) As Long
Declare Function rssmr_utilTest Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal toTest As Long, ByVal testResults As String) As Long
Declare Function rssmr_FlushErrorQueue Lib "rssmr_32.dll" ( ByVal instrSession As Long) As Long
Declare Function rssmr_errorCheckState Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal stateChecking As Integer) As Long
Declare Function rssmr_writeInstrData Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal writeBuffer As String) As Long
Declare Function rssmr_readInstrData Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal numberBytesToRead As Long, ByVal readBuffer As String, numBytesRead As Long) As Long
Declare Function rssmr_reset Lib "rssmr_32.dll" ( ByVal instrSession As Long) As Long
Declare Function rssmr_self_test Lib "rssmr_32.dll" ( ByVal instrSession As Long, selfTestResult As Long, ByVal selfTestMessage As String) As Long
Declare Function rssmr_error_query Lib "rssmr_32.dll" ( ByVal instrSession As Long, errorCode As Long, ByVal errorMessage As String) As Long
Declare Function rssmr_error_message Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal statusCode As Long, ByVal message As String) As Long
Declare Function rssmr_revision_query Lib "rssmr_32.dll" ( ByVal instrSession As Long, ByVal instrumentDriverRevision As String, ByVal firmwareRevision As String) As Long
Declare Function rssmr_close Lib "rssmr_32.dll" ( ByVal instrSession As Long) As Long


'***************************************************************************
'=== END INCLUDE FILE ======================================================
'***************************************************************************


